jQuery(document).ready(function($) {
	// $() will work as an alias for jQuery() inside of this function
   
   $('.toggleSwitch').click(function(event) {
      elemId = $(this).attr('href');
      if($(this).html() == 'Show') 
         $(this).html('Hide');
      else
         $(this).html('Show');
      $(elemId).toggle();
      
      event.preventDefault();
   });
   
   $('input[name="imwb_covertvideocontent_import[taggen]"]').change(function(){
      if($(this).val() == 'S'){
         $('#imwb_covertvideocontent_import_mantags').addClass('hidden');
      }
      else {
         $('#imwb_covertvideocontent_import_mantags').removeClass('hidden');
      }
      				
   });
      
   $('#importNowForm').submit(function() {
   
      if(!$('#imwb_covertvideocontent_import_keyword').is(':disabled')){
         if($('#imwb_covertvideocontent_import_keyword').val() == null) {
            alert("Please Select a Keyword");
            return false;
         }
      }
      
      if($('#imwb_covertvideocontent_import_catselecttype:checked').val() == 'M')
         return true;
      
      if($('#imwb_covertvideocontent_import_categories').val() == null) {
         alert("Please Select a Category");
         return false;
      }
        
     return true;
   });
   
   $("#imwb_covertvideocontent_options_addcomments").click(function() {

      if (!$(this).is(":checked"))
        $('#imwb_covertvideocontent_options_randcomments').attr("checked",false);
      
   });
   
   $("#imwb_covertvideocontent_options_randcomments").click(function() {

      if ($(this).is(":checked"))
        $('#imwb_covertvideocontent_options_addcomments').attr("checked","checked");
      
   });
      
   $('input[name="imwb_covertvideocontent_import[ignorekw]"]').change(function(){
      if($(this).is(":checked")) {
         $('#imwb_covertvideocontent_import_keyword').attr('disabled','disabled');
         $('#imwb_covertvideocontent_import_kwsearch').attr('disabled','disabled');
      }
      else {
         $('#imwb_covertvideocontent_import_keyword').removeAttr('disabled');
         $('#imwb_covertvideocontent_import_kwsearch').removeAttr('disabled');
      }
      				
   });
   
   $('#imwb_covertvideocontent_vimeo_options_requesttype').change(function(){
      $('#imwb_covertvideocontent_vimeo_typename').html($("#imwb_covertvideocontent_vimeo_options_requesttype option:selected").text());
   });
   
   $('#VimeoSettingsForm').submit(function() {
      var typeName = $('input[name="imwb_covertvideocontent_vimeo_options[requestparam]"]').val();
      if(typeName == '') {
         var typeText = $("#imwb_covertvideocontent_vimeo_options_requesttype option:selected").text();
         alert("Please enter a "+typeText+" name");
         return false;
      }
      
      return imwb_covertvideocontent_options_form_submit();
   });
	
	
	$('#settingsForm').submit(function() {
	
	   return imwb_covertvideocontent_options_form_submit();
	});
	
	function imwb_covertvideocontent_options_form_submit() {

	   if($('#imwb_covertvideocontent_options_catselecttype:checked').val() == 'M')
	      return true;
	      
	   if($('#imwb_covertvideocontent_options_categories').val() == null) {
	      alert("Please Select The Categories To Use");
	      return false;
	   }
	   
	   return true;
	}
});



function imwb_covertvideocontent_selectAll(selObj)
{
   for (i = 0; i < selObj.options.length; i ++)
   {
      selObj.options[i].selected = true;
   }
}

function imwb_covertvideocontent_unselectAll(selObj)
{
   for (i = 0; i < selObj.options.length; i ++)
   {
      selObj.options[i].selected = false;
   }
}