<?php
if(!defined("ABSPATH"))
	die(); // No direct access plx

$updateMessage = '';

if (isset($_POST['import_imwb_covertvideocontentvimeo'])) {

   $importSettings = $_POST['imwb_covertvideocontent_import'];

   if($importSettings['taggen'] == 'S')
      $tags_input = null;
   else {
      $tags_input = explode(',', $importSettings['mantags']);
   }

   if(!isset($importSettings['useapivc'])) $importSettings['useapivc'] = 'N';
   if(!isset($importSettings['ignorekw'])) $importSettings['ignorekw'] = NULL;
   if(!isset($importSettings['keyword'])) $importSettings['keyword'] = NULL;
   if(!isset($importSettings['kwsearch'])) $importSettings['kwsearch'] = NULL;

   $result = $this->do_posts(stripslashes($importSettings['keyword']), $importSettings['numposts'], @implode(',',$importSettings['categories']), $importSettings['catselecttype'], $tags_input, $importSettings['posttype'], array('min' => $importSettings['ratingfrom'],'max' => $importSettings['ratingto']), array('min' => $importSettings['viewsfrom'],'max' => $importSettings['viewsto']), array('ignorekw' => $importSettings['ignorekw'], 'kwsearch' => $importSettings['kwsearch']), $importSettings['useapivc']);

   if(is_array($result))
      $updateMessage = '<div class="imwb_cabar_active_panel error"><p><strong>The Follwoing Error Occured:</strong> '.$result["error"]["reason"].' - '.$result["error"]["message"].'</p></div>';
   else
      $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>'.$result.' New Posts Have Been Imported</strong></p></div>';
}
else if (isset($_POST['update_imwb_covertvideocontentvimeoSettings'])) {

  $update = Array();

  foreach ($_REQUEST['imwb_covertvideocontent_vimeo_options'] as $key => $value) {
      if($key == "categories")
          $update[$key] = implode(',', $value);
      else
		    $update[$key] = trim($value);
	}


   if(!isset($update['active'])) $update['active'] = 'N';
   if(!isset($update['ignorekw'])) $update['ignorekw'] = 'N';

	update_option($this->plugin_name."-".$this->module_name."-AdminOptions", $update);
	$this->options = $update;

   $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>Settings Updated </strong></p></div>';
}


$kwsearch_options = array("B" => array("label" => "In Title & Content"),
                     	  "T" => array("label" => "In Title Only"),
                     	  "C" => array("label" => "In Content Only"));

$request_options = array("U" => array("label" => "User"),
                     	 "G" => array("label" => "Group"),
                     	 "C" => array("label" => "Channel"),
                     	 "A" => array("label" => "Album"));


?>
<div class="wrap">
<div id="imwb_plugin_header">
<a href="http://imwealthbuilders.com" target="_blank"><img src="<?php echo $this->plugin_url. '/pages/images/imwblogo.png';?>"></a>
<span id="imwb_plugin_header_link"><a href="http://imwealthbuilders.com/newplugins" target="blank">Click Here To See Our Latest WP Plugins</a></span>
<h2>Covert Video Content</h2>
<div style="clear: both"></div>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div class="icon32" id="icon-link-manager"><br></div><h2> Vimeo Settings - <small><a href="http://covertcontent.com/video/help/std_help.html#vimeo" target="_blank">Click Here For Help</a></small></h2>
<?php require_once('import_options.php') ?>
<form id="VimeoSettingsForm" method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>"  enctype="multipart/form-data">
<input type="hidden" name="imwb_covertvideocontent_vimeo_options[lastrun]" value="<?php echo $this->options['lastrun'] ?>">
<div class="imwb_cabar_active_panel">
<h3>Auto Blogging</h3>
<p>Once configured set this module active and start auto blogging <input id="imwb_covertvideocontent_vimeo_options[active]" type="checkbox" name="imwb_covertvideocontent_vimeo_options[active]" value="Y" <?php echo $this->options['active'] == "Y" ? "checked='Yes'" : "" ?> /></p>
<h3>Post Creation</h3>
<p>Create between 1 and  <input id="imwb_covertvideocontent_vimeo_options[postcount]" type="text" name="imwb_covertvideocontent_vimeo_options[postcount]" value="<?php echo $this->options['postcount'] ?>" size="3"> posts every <input id="imwb_covertvideocontent_vimeo_options[posthours]" type="text" name="imwb_covertvideocontent_vimeo_options[posthours]" value="<?php echo $this->options['posthours'] ?>" size="3"> hours</p>
</div>

<div class="sub_panel left" style="width: 410px">
<h4>Vimeo Settings</h4>
<div>
<p>In order to be able to make requests to Vimeo API, you must first have a Vimeo account and create the credentials. To register your App, please visit <a href="https://developer.vimeo.com/apps/new" target="_blank">Vimeo App registration page</a> (requires login to Vimeo). </p>
<h3>Client Identifier</h3>
<input id="imwb_covertvideocontent_vimeo_options[vimeo_client_id]" class="regular-text" type="text" name="imwb_covertvideocontent_vimeo_options[vimeo_client_id]" value="<?php echo isset($this->options['vimeo_client_id']) ? $this->options['vimeo_client_id'] : ''; ?>" /></p>
<h3>Client Secrets</h3>
<input id="imwb_covertvideocontent_vimeo_options[vimeo_client_secret]" class="regular-text" type="text" name="imwb_covertvideocontent_vimeo_options[vimeo_client_secret]" value="<?php echo isset($this->options['vimeo_client_secret']) ? $this->options['vimeo_client_secret'] : ''; ?>" /></p>

</div>
</div>

<div class="sub_panel left" >
<h4>Categories To Use</h4>
<div>
<p>Select categories to post to.</p>
<input id="imwb_covertvideocontent_options_catselecttype" type="radio" name="imwb_covertvideocontent_vimeo_options[catselecttype]" value="M" <?php echo $this->options['catselecttype'] == "M" ? "checked='Yes'" : "" ?> /> Post to category that matches keyword. Create if no match. <br>
<input id="imwb_covertvideocontent_options_catselecttype" type="radio" name="imwb_covertvideocontent_vimeo_options[catselecttype]" value="R" <?php echo $this->options['catselecttype'] == "R" ? "checked='Yes'" : "" ?> /> Post to one category selected randomly <br>
<input id="imwb_covertvideocontent_options_catselecttype" type="radio" name="imwb_covertvideocontent_vimeo_options[catselecttype]" value="A" <?php echo $this->options['catselecttype'] == "A" ? "checked='Yes'" : "" ?> /> Post to all selected categories<br><br>
<select size="10"  multiple="multiple"  style="width:340px; height:auto;" name="imwb_covertvideocontent_vimeo_options[categories][]" id="imwb_covertvideocontent_options_categories" >
<?php
   $currentCategories = explode(",", htmlspecialchars(stripslashes($this->options['categories'])) );
   echo	$this->super->get_blog_categories(0, $currentCategories );
?>
</select>
<br>
<p class="textright"><a href="javascript:void(0)" onclick="imwb_covertvideocontent_selectAll(document.getElementById('imwb_covertvideocontent_options_categories'))"><?php _e('Select All','imwb_covertvideocontent'); ?></a> / <a href="javascript:void(0)" onclick="imwb_covertvideocontent_unselectAll(document.getElementById('imwb_covertvideocontent_options_categories'))"><?php _e('Unselect All','imwb_covertvideocontent'); ?></a></p>


</div>
</div>

<div class="submit">
<input class="button-primary" type="submit" name="update_imwb_covertvideocontentvimeoSettings" value="<?php _e('Update Settings', 'imwb_covertvideocontent') ?>" />
</div>
</form>
 </div>
 </div>
