<?php
if(!defined("ABSPATH"))
	die(); // No direct access plx
	
$updateMessage = '';
	
if (isset($_POST['import_imwb_covertvideocontentyoutube'])) {
   
   $importSettings = $_POST['imwb_covertvideocontent_import'];

   if($importSettings['taggen'] == 'S')
      $tags_input = null;
   else {
      $tags_input = explode(',', $importSettings['mantags']);
   }
   
   if(!isset($importSettings['useapivc'])) $importSettings['useapivc'] = 'N';
   if(!isset($importSettings['ignorekw'])) $importSettings['ignorekw'] = NULL;
      
   $result = $this->do_posts(stripslashes($importSettings['keyword']), $importSettings['numposts'], @implode(',',$importSettings['categories']),$importSettings['catselecttype'], $tags_input, $importSettings['posttype'], array('min' => $importSettings['ratingfrom'],'max' => $importSettings['ratingto']), array('min' => $importSettings['viewsfrom'],'max' => $importSettings['viewsto']), $importSettings['ignorekw'], $importSettings['useapivc']);

   if(is_array($result))
      $updateMessage = '<div class="imwb_cabar_active_panel error"><p><strong>The Follwoing Error Occured:</strong> '.$result["error"]["reason"].' - '.$result["error"]["message"].'</p></div>';
   else   
      $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>'.$result.' New Posts Have Been Imported</strong></p></div>'; 
}
else if (isset($_POST['update_imwb_covertvideocontentyoutubeSettings'])) { 

  $update = Array();
    
  foreach ($_REQUEST['imwb_covertvideocontent_youtube_options'] as $key => $value) {
      if($key == "categories")
          $update[$key] = implode(',', $value);
      else
		    $update[$key] = trim($value);
	}
	   
	update_option($this->plugin_name."-".$this->module_name."-AdminOptions", $update);
	 $this->options = $this->get_admin_options();

   $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>Settings Updated </strong></p></div>';
} 

$ytorderby_options = Array('relevance' => 'Relevance',
                           'viewCount' => 'View Count',
                           'rating' => 'Rating',
                           'date' => 'Date Published');
                           
$ytlanguage_options = Array('xx' => 'Any Language',
                            'ar'=>'Arabic',
                            'bg'=>'Bulgarian',
                            'ca'=>'Catalan',
                            'zh-cn'=>'Chinese (Simplified)',
                            'zh-tw'=>'Chinese (Traditional)',
                            'hr'=>'Croatian',
                            'cs'=>'Czech',
                            'da'=>'Danish',
                            'nl'=>'Dutch',
                            'en'=>'English',
                            'et'=>'Estonian',
                            'fi'=>'Finnish',
                            'fr'=>'French',
                            'de'=>'German',
                            'el'=>'Greek',
                            'iw'=>'Hebrew',
                            'hu'=>'Hungarian',
                            'is'=>'Icelandic',
                            'it'=>'Italian',
                            'ja'=>'Japanese',
                            'ko'=>'Korean',
                            'lv'=>'Latvian',
                            'lt'=>'Lithuanian',
                            'no'=>'Norwegian',
                            'pl'=>'Polish',
                            'pt'=>'Portuguese',
                            'ro'=>'Romanian',
                            'ru'=>'Russian',
                            'sr'=>'Serbian',
                            'sk'=>'Slovak',
                            'sl'=>'Slovenian',
                            'es'=>'Spanish',
                            'sv'=>'Swedish',
                            'tr'=>'Turkish');
                            
$ytsafesearch_options = Array('none' => 'None - No Filtering',
                              'moderate' => 'Moderate - Filter some content',
                              'strict' => 'Strict - Exclude all restricted content');
?>	
<div class="wrap">
<div id="imwb_plugin_header">
<a href="http://imwealthbuilders.com" target="_blank"><img src="<?php echo $this->plugin_url. '/pages/images/imwblogo.png';?>"></a>
<span id="imwb_plugin_header_link"><a href="http://imwealthbuilders.com/newplugins" target="blank">Click Here To See Our Latest WP Plugins</a></span>
<h2>Covert Video Content</h2>
<div style="clear: both"></div>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div class="icon32" id="icon-link-manager"><br></div><h2> YouTube Settings - <small><a href="http://covertcontent.com/video/help/std_help.html#youtube" target="_blank">Click Here For Help</a></small></h2>
<?php require_once('import_options.php') ?>
<form id="settingsForm" method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>"  enctype="multipart/form-data">
<input type="hidden" name="imwb_covertvideocontent_youtube_options[lastrun]" value="<?php echo $this->options['lastrun'] ?>">
<div class="imwb_cabar_active_panel">
<h3>Auto Blogging</h3>
<p>Once configured set this module active and start auto blogging <input id="imwb_covertvideocontent_youtube_options[active]" type="checkbox" name="imwb_covertvideocontent_youtube_options[active]" value="Y" <?php echo $this->options['active'] == "Y" ? "checked='Yes'" : "" ?> /></p>
<h3>Post Creation</h3>
<p>Create between 1 and  <input id="imwb_covertvideocontent_youtube_options[postcount]" type="text" name="imwb_covertvideocontent_youtube_options[postcount]" value="<?php echo $this->options['postcount'] ?>" size="3"> posts every <input id="imwb_covertvideocontent_youtube_options[posthours]" type="text" name="imwb_covertvideocontent_youtube_options[posthours]" value="<?php echo $this->options['posthours'] ?>" size="3"> hours</p>
</div>

<div class="sub_panel left" style="width:600px">
<h4>YouTube Settings</h4>
<div>
<h3>Youtube API Key</h3>
	Create your api key by <a href='https://developers.google.com/youtube/registering_an_application' target='_blank'>Clicking here.</a> <input id="imwb_covertvideocontent_youtube_options[youtube_api_key]" class="regular-text" type="text" name="imwb_covertvideocontent_youtube_options[youtube_api_key]" value="<?php echo isset($this->options['youtube_api_key']) ? $this->options['youtube_api_key'] : ''; ?>" />
<h3>Keyword Search</h3>
<p class="clear">No Keyword search <input id="imwb_covertvideocontent_youtube_options[ignorekw]" type="checkbox" name="imwb_covertvideocontent_youtube_options[ignorekw]" value="Y" <?php echo $this->options['ignorekw'] == "Y" ? "checked='Yes'" : "" ?> /></p>
<h3>YouTube Categories</h3>
<p>Restrict search to the following YouTube categories: <select id="imwb_covertvideocontent_youtube_options[ytcat]" class="regular-text" type="text" name="imwb_covertvideocontent_youtube_options[ytcat]" />
<?php 
 foreach ($this->ytcategory_options as $key => $label) {
    $selected = ($this->options['ytcat'] == $key) ? " selected" : "";
    echo "<option value='{$key}'{$selected}>{$label}</option>";
 }
?>
</select></p>
<h3>API Search Settings</h3>
<p>Sort videos by: <select id="imwb_covertvideocontent_youtube_options[ytorderby]" class="regular-text" type="text" name="imwb_covertvideocontent_youtube_options[ytorderby]" />
<?php 
 foreach ($ytorderby_options as $key => $label) {
    $selected = ($this->options['ytorderby'] == $key) ? " selected" : "";
    echo "<option value='{$key}'{$selected}>{$label}</option>";
 }
?>
</select></p>
<p>Language: <select id="imwb_covertvideocontent_youtube_options[ytlang]" class="regular-text" type="text" name="imwb_covertvideocontent_youtube_options[ytlang]" />
<?php 
 foreach ($ytlanguage_options as $key => $label) {
    $selected = ($this->options['ytlang'] == $key) ? " selected" : "";
    echo "<option value='{$key}'{$selected}>{$label}</option>";
 }
?>
</select></p>
<p>Safe Search: <select id="imwb_covertvideocontent_youtube_options[ytsafesearch]" class="regular-text" type="text" name="imwb_covertvideocontent_youtube_options[ytsafesearch]" />
<?php 
 foreach ($ytsafesearch_options as $key => $label) {
    $selected = ($this->options['ytsafesearch'] == $key) ? " selected" : "";
    echo "<option value='{$key}'{$selected}>{$label}</option>";
 }
?>
</select></p>
</div></div>

<div class="sub_panel left" >
<h4>Categories To Use</h4>
<div>
<p>Select categories to use.</p>
<input id="imwb_covertvideocontent_options_catselecttype" type="radio" name="imwb_covertvideocontent_youtube_options[catselecttype]" value="M" <?php echo $this->options['catselecttype'] == "M" ? "checked='Yes'" : "" ?> /> Post to category that matches keyword. Create if no match. <br>
<input id="imwb_covertvideocontent_options_catselecttype" type="radio" name="imwb_covertvideocontent_youtube_options[catselecttype]" value="R" <?php echo $this->options['catselecttype'] == "R" ? "checked='Yes'" : "" ?> /> Post to one category selected randomly <br>
<input id="imwb_covertvideocontent_options_catselecttype" type="radio" name="imwb_covertvideocontent_youtube_options[catselecttype]" value="A" <?php echo $this->options['catselecttype'] == "A" ? "checked='Yes'" : "" ?> /> Post to all selected categories<br><br>
<select size="11"  multiple="multiple"  style="width:340px; height:auto;" name="imwb_covertvideocontent_youtube_options[categories][]" id="imwb_covertvideocontent_options_categories" >
<?php 
   $currentCategories = explode(",", htmlspecialchars(stripslashes($this->options['categories'])) );
   echo	$this->super->get_blog_categories(0, $currentCategories ); 
?>
</select>
<p class="textright">
<a href="javascript:void(0)" onclick="imwb_covertvideocontent_selectAll(document.getElementById('imwb_covertvideocontent_options_categories'))"><?php _e('Select All','imwb_covertvideocontent'); ?></a> / <a href="javascript:void(0)" onclick="imwb_covertvideocontent_unselectAll(document.getElementById('imwb_covertvideocontent_options_categories'))"><?php _e('Unselect All','imwb_covertvideocontent'); ?></a></p>
</div>
</div>

<div class="submit">
<input class="button-primary" type="submit" name="update_imwb_covertvideocontentyoutubeSettings" value="<?php _e('Update Settings', 'imwb_covertvideocontent') ?>" />
</div>
</form>
 </div>
 </div>
 